#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2012 S. Daniel Francis <francis@sugarlabs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

import logging
logger = logging.getLogger('option')

import gobject
import gtk

from item import Item


class SettingsItem(Item):
    __gsignals__ = {'closed': (gobject.SIGNAL_RUN_LAST, gobject.TYPE_NONE,
                                tuple())}

    def __init__(self, parent=None, stock_id=None, important=False):
        Item.__init__(self, stock_id, important)
        self.content = gtk.EventBox()
        self.parent = parent
        # For toggleoptions
        self.active = True

    def do_activate(self):
        if self.active:
            if self.tooltip:
                title = self.tooltip
            else:
                title = gtk.stock_lookup(self.stock_id)[1]
            dialog = gtk.Dialog(title, self.parent)
            dialog.vbox.pack_start(self.content, True, True)
            self.content.show()
            dialog.add_button(gtk.STOCK_OK, gtk.RESPONSE_ACCEPT)
            dialog.run()
            dialog.vbox.remove(self.content)
            dialog.destroy()
            self.emit('closed')
